ReactPhysics3D: reactphysics3d::PhysicsWorld::WorldSettings Struct Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
reactphysics3d::PhysicsWorld::WorldSettings Struct Reference

Structure WorldSettings. More...

`#include <include/reactphysics3d/engine/PhysicsWorld.h>`

## Public Member Functions
std::string | to_string () const
| Return a string with the world settings.

## Public Attributes
std::string | worldName
| Name of the world.
Vector3 | gravity
| Gravity force vector of the world (in Newtons)
decimal | persistentContactDistanceThreshold
| Distance threshold for two contact points for a valid persistent contact (in meters)
decimal | defaultFrictionCoefficient
| Default friction coefficient for a rigid body.
decimal | defaultBounciness
| Default bounciness factor for a rigid body.
decimal | restitutionVelocityThreshold
| Velocity threshold for contact velocity restitution.
bool | isSleepingEnabled
| True if the sleeping technique is enabled.
uint16 | defaultVelocitySolverNbIterations
| Number of iterations when solving the velocity constraints of the Sequential Impulse technique.
uint16 | defaultPositionSolverNbIterations
| Number of iterations when solving the position constraints of the Sequential Impulse technique.
float | defaultTimeBeforeSleep
| Time (in seconds) that a body must stay still to be considered sleeping.
decimal | defaultSleepLinearVelocity
| A body with a linear velocity smaller than the sleep linear velocity (in m/s) might enter sleeping mode.
decimal | defaultSleepAngularVelocity
| A body with angular velocity smaller than the sleep angular velocity (in rad/s) might enter sleeping mode.
decimal | cosAngleSimilarContactManifold
| This is used to test if two contact manifold are similar (same contact normal) in order to merge them.

## Detailed Description

Structure WorldSettings.

This class is used to describe some settings of a physics world.

## Member Data Documentation

## ◆ cosAngleSimilarContactManifold

decimal reactphysics3d::PhysicsWorld::WorldSettings::cosAngleSimilarContactManifold

This is used to test if two contact manifold are similar (same contact normal) in order to merge them.

If the cosine of the angle between the normals of the two manifold are larger than the value bellow, the manifold are considered to be similar.

The documentation for this struct was generated from the following file:

- include/reactphysics3d/engine/PhysicsWorld.h